Debian Bug report logs - #656562
libusb2-dev: Compilation errors from libusb.h include

version graph

Package: libusb2-dev; Maintainer for libusb2-dev is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for libusb2-dev is src:freebsd-libs.

Reported by: Chow Loong Jin <hyperair@debian.org>

Date: Fri, 20 Jan 2012 04:42:01 UTC

Severity: grave

Found in version freebsd-libs/8.3~svn229725-2

Fixed in versions freebsd-libs/8.3~svn229725-3, kfreebsd-kernel-headers/0.70

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#656562; Package libusb2-dev. (Fri, 20 Jan 2012 04:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chow Loong Jin <hyperair@debian.org>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 20 Jan 2012 04:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Chow Loong Jin <hyperair@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libusb2-dev: Compilation errors from libusb.h include
Date: Fri, 20 Jan 2012 12:38:33 +0800
Package: libusb2-dev
Version: 8.3~svn229725-2
Severity: grave
Justification: renders package unusable

libusb.h causes compilation errors from a #include <libusb.h>, causing libgpod
to fail on kfreebsd-* architectures[0,1] with the following compilation errors:

In file included from ../../../tools/ipod-usb.c:1:0:
/usr/include/libusb.h:254:43: error: expected '=', ',', ';', 'asm' or '__attribute__' before '__aligned'
/usr/include/libusb.h:296:47: error: expected '=', ',', ';', 'asm' or '__attribute__' before '__aligned'
/usr/include/libusb.h:312:46: error: expected '=', ',', ';', 'asm' or '__attribute__' before '__aligned'
/usr/include/libusb.h:321:25: error: expected '=', ',', ';', 'asm' or '__attribute__' before '__aligned'


[0] https://buildd.debian.org/status/fetch.php?pkg=libgpod&arch=kfreebsd-amd64&ver=0.8.2-5&stamp=1326967876
[1] https://buildd.debian.org/status/fetch.php?pkg=libgpod&arch=kfreebsd-i386&ver=0.8.2-5&stamp=1326968160


-- System Information:
Debian Release: wheezy/sid
  APT prefers oneiric-updates
  APT policy: (500, 'oneiric-updates'), (500, 'oneiric-security'), (500, 'oneiric'), (400, 'oneiric-proposed'), (100, 'oneiric-backports')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-hyper2 (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=en_SG.utf8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#656562; Package libusb2-dev. (Fri, 20 Jan 2012 21:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ludovic Rousseau <ludovic.rousseau@free.fr>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 20 Jan 2012 21:03:08 GMT) Full text and rfc822 format available.

Message #10 received at 656562@bugs.debian.org (full text, mbox):

From: Ludovic Rousseau <ludovic.rousseau@free.fr>
To: 656562@bugs.debian.org
Subject: patch for libusb2-dev
Date: Fri, 20 Jan 2012 22:00:40 +0100
[Message part 1 (text/plain, inline)]
tags 656562 +patch

Here is a patch for /usr/include/libusb.h

This bug is blocking the compilation of my package libccid on kfreebsd
https://buildd.debian.org/status/fetch.php?pkg=pcsc-lite&arch=kfreebsd-i386&ver=1.8.2-1&stamp=1327085304

Thanks

-- 
 Dr. Ludovic Rousseau
[patch.txt (text/plain, attachment)]

Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Sat, 21 Jan 2012 00:36:06 GMT) Full text and rfc822 format available.

Notification sent to Chow Loong Jin <hyperair@debian.org>:
Bug acknowledged by developer. (Sat, 21 Jan 2012 00:36:06 GMT) Full text and rfc822 format available.

Message #15 received at 656562-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 656562-close@bugs.debian.org
Subject: Bug#656562: fixed in freebsd-libs 8.3~svn229725-3
Date: Sat, 21 Jan 2012 00:32:43 +0000
Source: freebsd-libs
Source-Version: 8.3~svn229725-3

We believe that the bug you reported is fixed in the latest version of
freebsd-libs, which is due to be installed in the Debian FTP archive:

freebsd-libs_8.3~svn229725-3.debian.tar.gz
  to main/f/freebsd-libs/freebsd-libs_8.3~svn229725-3.debian.tar.gz
freebsd-libs_8.3~svn229725-3.dsc
  to main/f/freebsd-libs/freebsd-libs_8.3~svn229725-3.dsc
libalias-dev_8.3~svn229725-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libalias-dev_8.3~svn229725-3_kfreebsd-amd64.deb
libalias7_8.3~svn229725-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libalias7_8.3~svn229725-3_kfreebsd-amd64.deb
libcam-dev_8.3~svn229725-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libcam-dev_8.3~svn229725-3_kfreebsd-amd64.deb
libcam0_8.3~svn229725-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libcam0_8.3~svn229725-3_kfreebsd-amd64.deb
libdevstat-dev_8.3~svn229725-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libdevstat-dev_8.3~svn229725-3_kfreebsd-amd64.deb
libdevstat7_8.3~svn229725-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libdevstat7_8.3~svn229725-3_kfreebsd-amd64.deb
libgeom-dev_8.3~svn229725-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libgeom-dev_8.3~svn229725-3_kfreebsd-amd64.deb
libgeom1-udeb_8.3~svn229725-3_kfreebsd-amd64.udeb
  to main/f/freebsd-libs/libgeom1-udeb_8.3~svn229725-3_kfreebsd-amd64.udeb
libgeom1_8.3~svn229725-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libgeom1_8.3~svn229725-3_kfreebsd-amd64.deb
libipx-dev_8.3~svn229725-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libipx-dev_8.3~svn229725-3_kfreebsd-amd64.deb
libipx2-udeb_8.3~svn229725-3_kfreebsd-amd64.udeb
  to main/f/freebsd-libs/libipx2-udeb_8.3~svn229725-3_kfreebsd-amd64.udeb
libipx2_8.3~svn229725-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libipx2_8.3~svn229725-3_kfreebsd-amd64.deb
libjail-dev_8.3~svn229725-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libjail-dev_8.3~svn229725-3_kfreebsd-amd64.deb
libjail1_8.3~svn229725-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libjail1_8.3~svn229725-3_kfreebsd-amd64.deb
libkiconv-dev_8.3~svn229725-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libkiconv-dev_8.3~svn229725-3_kfreebsd-amd64.deb
libkiconv4_8.3~svn229725-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libkiconv4_8.3~svn229725-3_kfreebsd-amd64.deb
libkvm-dev_8.3~svn229725-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libkvm-dev_8.3~svn229725-3_kfreebsd-amd64.deb
libkvm0_8.3~svn229725-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libkvm0_8.3~svn229725-3_kfreebsd-amd64.deb
libmemstat-dev_8.3~svn229725-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libmemstat-dev_8.3~svn229725-3_kfreebsd-amd64.deb
libmemstat3_8.3~svn229725-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libmemstat3_8.3~svn229725-3_kfreebsd-amd64.deb
libnetgraph-dev_8.3~svn229725-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libnetgraph-dev_8.3~svn229725-3_kfreebsd-amd64.deb
libnetgraph4_8.3~svn229725-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libnetgraph4_8.3~svn229725-3_kfreebsd-amd64.deb
libsbuf-dev_8.3~svn229725-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libsbuf-dev_8.3~svn229725-3_kfreebsd-amd64.deb
libsbuf0-udeb_8.3~svn229725-3_kfreebsd-amd64.udeb
  to main/f/freebsd-libs/libsbuf0-udeb_8.3~svn229725-3_kfreebsd-amd64.udeb
libsbuf0_8.3~svn229725-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libsbuf0_8.3~svn229725-3_kfreebsd-amd64.deb
libusb2-dev_8.3~svn229725-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libusb2-dev_8.3~svn229725-3_kfreebsd-amd64.deb
libusb2-udeb_8.3~svn229725-3_kfreebsd-amd64.udeb
  to main/f/freebsd-libs/libusb2-udeb_8.3~svn229725-3_kfreebsd-amd64.udeb
libusb2_8.3~svn229725-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libusb2_8.3~svn229725-3_kfreebsd-amd64.deb
libusbhid-common_8.3~svn229725-3_all.deb
  to main/f/freebsd-libs/libusbhid-common_8.3~svn229725-3_all.deb
libusbhid-dev_8.3~svn229725-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libusbhid-dev_8.3~svn229725-3_kfreebsd-amd64.deb
libusbhid4_8.3~svn229725-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libusbhid4_8.3~svn229725-3_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 656562@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated freebsd-libs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 21 Jan 2012 01:21:17 +0100
Source: freebsd-libs
Binary: libsbuf0 libsbuf0-udeb libsbuf-dev libcam0 libcam-dev libgeom1 libgeom-dev libgeom1-udeb libusbhid4 libusbhid-common libusbhid-dev libusb2 libusb2-dev libusb2-udeb libkvm0 libkvm-dev libdevstat7 libdevstat-dev libmemstat3 libmemstat-dev libnetgraph4 libnetgraph-dev libipx2 libipx-dev libipx2-udeb libkiconv4 libkiconv-dev libjail1 libjail-dev libalias7 libalias-dev
Architecture: source kfreebsd-amd64 all
Version: 8.3~svn229725-3
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 libalias-dev - Development files for libalias
 libalias7  - FreeBSD packet aliasing library
 libcam-dev - Development files for libcam
 libcam0    - FreeBSD CAM (Common Access Method) library
 libdevstat-dev - Development files for libdevstat
 libdevstat7 - FreeBSD devstat (kernel interface) library
 libgeom-dev - Development files for libgeom
 libgeom1   - FreeBSD GEOM library
 libgeom1-udeb - FreeBSD GEOM library (udeb) (udeb)
 libipx-dev - Development files for libipx
 libipx2    - FreeBSD IPX address conversion support library
 libipx2-udeb - FreeBSD IPX address conversion support library (udeb) (udeb)
 libjail-dev - Development files for libjail
 libjail1   - FreeBSD jail library
 libkiconv-dev - Development files for libkiconv
 libkiconv4 - FreeBSD kernel side iconv library (udeb)
 libkvm-dev - Development files for libkvm
 libkvm0    - FreeBSD kvm (kernel memory interface) library
 libmemstat-dev - Development files for libmemstat
 libmemstat3 - FreeBSD memstat (kernel interface) library
 libnetgraph-dev - Development files for libnetgraph
 libnetgraph4 - FreeBSD memstat (kernel interface) library
 libsbuf-dev - Development files for libsbuf
 libsbuf0   - FreeBSD string buffer library
 libsbuf0-udeb - FreeBSD string buffer library (udeb) (udeb)
 libusb2    - FreeBSD userspace USB programming library
 libusb2-dev - Development files for libusb2
 libusb2-udeb - Development files for libusb2 (udeb) (udeb)
 libusbhid-common - Common files for the USB HID devices FreeBSD library
 libusbhid-dev - Development files for libusbhid
 libusbhid4 - FreeBSD library to access USB HID devices
Closes: 656562
Changes: 
 freebsd-libs (8.3~svn229725-3) unstable; urgency=low
 .
   * Remove 15_kkh_kludge.diff, depend on recent k-k-h instead.
   * cpumask_t.diff: Workaround for removal of cpumask_t in kfreebsd-9
     headers.
   * cdefs_macros.diff: Replace all use of BSDish cdefs macros that
     affect exported headers.  (Closes: #656562)
Checksums-Sha1: 
 869bf0258025ab04c0713bf24d68af72103590e2 3044 freebsd-libs_8.3~svn229725-3.dsc
 7ca8993eb691ae1b58b392dd3315b2974d88c114 25745 freebsd-libs_8.3~svn229725-3.debian.tar.gz
 0f8a804b308ebb355e7d0b425903819c53ddd495 13596 libsbuf0_8.3~svn229725-3_kfreebsd-amd64.deb
 2b40b42178872ffec710cce0d48207cc9fac0f97 4782 libsbuf0-udeb_8.3~svn229725-3_kfreebsd-amd64.udeb
 c6bc92d6492f3dcb5ef6ed81223005e0fb14b2e8 13096 libsbuf-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 88a7b34e687690526dc84f4113a6f112e122bbf4 50740 libcam0_8.3~svn229725-3_kfreebsd-amd64.deb
 c38ca1709796640f3c6e302d6dfa6fa5a5e30c6a 67448 libcam-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 d9669464f3d502f5b0bc86d53a126edc4f585eff 19642 libgeom1_8.3~svn229725-3_kfreebsd-amd64.deb
 8ef9db51aae3de05f6ec0e316f92e25f2f16b114 24204 libgeom-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 0cd8eb7029ccaf666da00e9c5d563d040d4f496b 10628 libgeom1-udeb_8.3~svn229725-3_kfreebsd-amd64.udeb
 5761280119d39c540db70d3a45d2d2f6f8f9a31e 16810 libusbhid4_8.3~svn229725-3_kfreebsd-amd64.deb
 c418eed12f517874c8ceebf3c8240e1b6b4c5cb8 21158 libusbhid-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 e129696776b8e1bdf3326b0b2675925f752ee022 43186 libusb2_8.3~svn229725-3_kfreebsd-amd64.deb
 0c49883219a7c44b945c4cb88c7638bc38032fb0 70038 libusb2-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 46fedadec638b34ffd2390f1c450b8cce27b355c 33018 libusb2-udeb_8.3~svn229725-3_kfreebsd-amd64.udeb
 ddc8a46cb2ba48de15e8153e9ed9bd1c89fa6584 25904 libkvm0_8.3~svn229725-3_kfreebsd-amd64.deb
 45f59deeafc7ea15f2eabda979e60586e8e4325c 49936 libkvm-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 604c92728944434b45662ef139c7ee396933ac3d 19322 libdevstat7_8.3~svn229725-3_kfreebsd-amd64.deb
 4e6e71a3ebad98bb60e1463ce0b326daf22577a5 26882 libdevstat-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 e998a4622579a866408e74e2ae9b446068e74717 16996 libmemstat3_8.3~svn229725-3_kfreebsd-amd64.deb
 00ce65ace23c48cba4b0947f99a15deb44acc1cf 23194 libmemstat-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 101875d3e6d71206e9e00a2c2be3d5d2c69e8ef2 17688 libnetgraph4_8.3~svn229725-3_kfreebsd-amd64.deb
 85b3f1982ee63bb380b5752dae594bb8c197a998 22364 libnetgraph-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 aa6ef2168b558241c1ccca246ed7761ac41d7a7e 12760 libipx2_8.3~svn229725-3_kfreebsd-amd64.deb
 6ceddcd80aa9dbf6ce49152e91ac0d33f7a887c4 14530 libipx-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 8e74dc2139f5165c130f05e411e303082ebfde72 3990 libipx2-udeb_8.3~svn229725-3_kfreebsd-amd64.udeb
 c936f15769d57398e17ba1beb6d2712cd64fe06f 15274 libkiconv4_8.3~svn229725-3_kfreebsd-amd64.deb
 85ae9470a4c0e2ff8cce56f28063611309f2e150 12492 libkiconv-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 d6b877473972848a24545723b8ac818614f0fc63 19672 libjail1_8.3~svn229725-3_kfreebsd-amd64.deb
 7f94d242672891b57b6c38c6f2df4d3ad4bdf012 22602 libjail-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 a51a98b7912bdcce47153e1175b5b882d18f1cad 31370 libalias7_8.3~svn229725-3_kfreebsd-amd64.deb
 09d97685a91a9a82d9adb93af1e0ac7660b90326 48286 libalias-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 49dda1cff7a3899ac8732c3b7baaff27925af840 23186 libusbhid-common_8.3~svn229725-3_all.deb
Checksums-Sha256: 
 244b05015a1046daa9a1894e1736d91d6ab244942212c1d4e26dcd5be68de2be 3044 freebsd-libs_8.3~svn229725-3.dsc
 60a040f73c56df58e05628de3c88d1129cc3735114aacf37c447f63dd3b96465 25745 freebsd-libs_8.3~svn229725-3.debian.tar.gz
 0b5597810cfe30a46bbfa943f78135e4ffc238102bd27bcf65bc882d47171c3a 13596 libsbuf0_8.3~svn229725-3_kfreebsd-amd64.deb
 4a2ac4260db54d2b3d628a1402d3bf85ff106738a04487307cd40db2c3ff27c6 4782 libsbuf0-udeb_8.3~svn229725-3_kfreebsd-amd64.udeb
 5d634470eaca5d9da78ea2e823ed6b95a42a10f8ba51060285a99fc37441fc44 13096 libsbuf-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 05c3b9faaf2db79540d3f74b22adca5f9138be76b1628f3b3dbe6c614b647955 50740 libcam0_8.3~svn229725-3_kfreebsd-amd64.deb
 55adf1a776a8f06a5561e9b25f56754cf2fb9b313452f60e143b53edb8da891b 67448 libcam-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 51e63c717085daea38b6fdb1f92ffab2b30ae8e9f72ecd0b1e3f4f11446d3b69 19642 libgeom1_8.3~svn229725-3_kfreebsd-amd64.deb
 53ae2c71110d45327b405c5a16b32e6a1a5bdb138aa9a35b6a5d51bf9f7344ca 24204 libgeom-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 5ee9c88aee44fc19774bc7b99048fbae89a5a3da996644a1e68f29e8090d94e0 10628 libgeom1-udeb_8.3~svn229725-3_kfreebsd-amd64.udeb
 5e7a61a61c8fbe354a7ef7a41cb4fd55a223eb2db64d39e95179327458268577 16810 libusbhid4_8.3~svn229725-3_kfreebsd-amd64.deb
 bfb3e36fdf3715e6c84b86fc930adbe007e10ec41d5a517d72d5c0464bf149c3 21158 libusbhid-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 06ffac0886d58b3fef5853bf5a04bef162ee1d6accbd653eeb2e2cd50f9dd329 43186 libusb2_8.3~svn229725-3_kfreebsd-amd64.deb
 09856a429cff6a93ecdbd75eef4484c289eeee2adf7389ffbfeaa8d21182c18c 70038 libusb2-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 315c3ba85dd523acd0fa16bf957abdec1de2ad3a1cf739cfffb385565dd74d8d 33018 libusb2-udeb_8.3~svn229725-3_kfreebsd-amd64.udeb
 d9e96a84feae48efa03b1f323a91f7f394e0da27749aded5db8387f2a943284f 25904 libkvm0_8.3~svn229725-3_kfreebsd-amd64.deb
 1b0b11ac431667d21518a5a6b417b27eba97d5c685cc021f1186537207ed1cf2 49936 libkvm-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 a9b6ba9fac7539b2c9a2e1b930e08b32ce2fef4f14bbe46199df62aa428eaffd 19322 libdevstat7_8.3~svn229725-3_kfreebsd-amd64.deb
 6b397aced5368ec39211ef8bba4630a5fad6902fc02ff10a6ec87b19bdf006e3 26882 libdevstat-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 daa54af6f994a3d220c50ef124423715f41b9e0a6c9c184c31ea182d3a873e94 16996 libmemstat3_8.3~svn229725-3_kfreebsd-amd64.deb
 50dd7553fd748542f8553fb57701cda5552d5e1aa4699dddd9540f509c6394c7 23194 libmemstat-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 d12df207131193623d17f0ef0b3562355a40c16d112d0a54b909d5651e9b84bb 17688 libnetgraph4_8.3~svn229725-3_kfreebsd-amd64.deb
 e6aaf7b5cde4a6665daad167ed069748aa78e5be8378f53d33952a0e386f43fe 22364 libnetgraph-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 965b0182cdb4e8b788db06e3692ef4310b7a1dcdb59f250c961381646d2a481a 12760 libipx2_8.3~svn229725-3_kfreebsd-amd64.deb
 7428d0e8a929f5e4aab8d8caaa95de29a1f0b41756382acc496d2fa04ae93183 14530 libipx-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 deae0998e00aee44312d7ad45f3f5853985a0b0d4139c505f76a32af5e2b7a9b 3990 libipx2-udeb_8.3~svn229725-3_kfreebsd-amd64.udeb
 c3940eb55f24b74ee71071a653cf29ff48b5f0642ad1cacc49787c14cc5c584b 15274 libkiconv4_8.3~svn229725-3_kfreebsd-amd64.deb
 61d25beae6d2a8904eed95cea233e60b00493fdfd38ba4250fcf5e45fb882017 12492 libkiconv-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 682514e052bcef9668e3280faec7288cdb1331f7090271837ef4862c83b84539 19672 libjail1_8.3~svn229725-3_kfreebsd-amd64.deb
 1c8a1b0668162e994161c750588ebcebd7ccb224e9635e3b7719978775734d35 22602 libjail-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 b876473e4b57a5504442b6f6d1733a5f3a085960f97dcc17c289f63ea16d75fb 31370 libalias7_8.3~svn229725-3_kfreebsd-amd64.deb
 c13cf9b8e1a94ff04dc6e0afc7b3b19aca06ac7e17385bb37e365903f532bbfc 48286 libalias-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 6c8c3f05bb28d253237c5337e3e834b6201635e4391b506a83145ac6a3ea627f 23186 libusbhid-common_8.3~svn229725-3_all.deb
Files: 
 8439226fb1112ff71689a571a9723dbc 3044 libs optional freebsd-libs_8.3~svn229725-3.dsc
 e0066539154eb683c96e7de18ba5e889 25745 libs optional freebsd-libs_8.3~svn229725-3.debian.tar.gz
 186df49a555be40d87a61978fc822ffd 13596 libs optional libsbuf0_8.3~svn229725-3_kfreebsd-amd64.deb
 6ad2790988dea7f5feb585c7a0a04e3b 4782 debian-installer optional libsbuf0-udeb_8.3~svn229725-3_kfreebsd-amd64.udeb
 ad97b47ed99bb81fda2699decf092ca0 13096 libdevel optional libsbuf-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 664c1f81d8c27fc0327457f603ed6cdb 50740 libs optional libcam0_8.3~svn229725-3_kfreebsd-amd64.deb
 16ba443d1c31c4fc7e6a57684669bb45 67448 libdevel optional libcam-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 5a6daf925d997e541b7a41cf87c98f74 19642 libs optional libgeom1_8.3~svn229725-3_kfreebsd-amd64.deb
 8c9d377c4e3ae7a75a60acd5fd3bf554 24204 libdevel optional libgeom-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 52b7d4cfd713bd4634217092138128cd 10628 debian-installer optional libgeom1-udeb_8.3~svn229725-3_kfreebsd-amd64.udeb
 8339735528a8a06ee89629991f2360af 16810 libs optional libusbhid4_8.3~svn229725-3_kfreebsd-amd64.deb
 e2ab8315b22afefdf0267ce9665ce175 21158 libdevel optional libusbhid-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 4634f8d872bb99bc7139575cbc5a4dd0 43186 libs optional libusb2_8.3~svn229725-3_kfreebsd-amd64.deb
 1c2d036a9db08ca424d4ed446e1ab8b7 70038 libdevel optional libusb2-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 63f76ed406bf63406c3e4e611940eb9d 33018 debian-installer optional libusb2-udeb_8.3~svn229725-3_kfreebsd-amd64.udeb
 12bb3ac84d5ff9f484897035bc683d52 25904 libs optional libkvm0_8.3~svn229725-3_kfreebsd-amd64.deb
 6815f030b46812bca8c5d821ed9e5c8c 49936 libdevel optional libkvm-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 3f7012c5bdbb6357d913f2699785a521 19322 libs optional libdevstat7_8.3~svn229725-3_kfreebsd-amd64.deb
 b2ee8715ff9b7c63b1b9599ae768da99 26882 libdevel optional libdevstat-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 9507191ca719375b105ac6a08dc096cf 16996 libs optional libmemstat3_8.3~svn229725-3_kfreebsd-amd64.deb
 76a5a70c08b65a770e7197113972a43b 23194 libdevel optional libmemstat-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 87aa2a1b299e514dd90ef5dae1c0acad 17688 libs optional libnetgraph4_8.3~svn229725-3_kfreebsd-amd64.deb
 a0e6588fc63c4d698eb2ab20d6191bac 22364 libdevel optional libnetgraph-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 76aed6a12d30f90f627744a6a9a33c50 12760 libs optional libipx2_8.3~svn229725-3_kfreebsd-amd64.deb
 0d9e205e18b6eb16c3e7135d4827d522 14530 libdevel optional libipx-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 0542719fffb63a70d1cbea6fa99c955b 3990 debian-installer optional libipx2-udeb_8.3~svn229725-3_kfreebsd-amd64.udeb
 63def3deddf54cd61876b2f24fab7bee 15274 libs optional libkiconv4_8.3~svn229725-3_kfreebsd-amd64.deb
 be397bb62a7cdd5c33525536ce09c42a 12492 libdevel optional libkiconv-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 4a01f2db21b12636777e3ec2cbd802a2 19672 libs optional libjail1_8.3~svn229725-3_kfreebsd-amd64.deb
 d6fdd9889e72a285a8ebbcba1ff8f5d4 22602 libdevel optional libjail-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 80271fcb035a88c7f9bbbc3c4dc13b59 31370 libs optional libalias7_8.3~svn229725-3_kfreebsd-amd64.deb
 f1008651bcc18ba9ec3e3afc614b92a1 48286 libdevel optional libalias-dev_8.3~svn229725-3_kfreebsd-amd64.deb
 20ff8566f78cb7bcf04f726b391172b8 23186 libs optional libusbhid-common_8.3~svn229725-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk8aBbEACgkQC19io6rUCv/WzQCfRLnng17gENEZSw5eZ61SGsWT
XRQAniJWHOOYiIciSyhdZ5G6CO6fIO2e
=T9Fw
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#656562; Package libusb2-dev. (Sat, 28 Jan 2012 03:06:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 28 Jan 2012 03:06:09 GMT) Full text and rfc822 format available.

Message #20 received at 656562@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Debian Bug Tracking System <owner@bugs.debian.org>
Cc: Robert Millan <rmh@debian.org>, 656562@bugs.debian.org
Subject: Re: Bug#656562: some __aligned issues remain
Date: Sat, 28 Jan 2012 02:58:51 +0000
[Message part 1 (text/plain, inline)]
On 21/01/12 00:36, Debian Bug Tracking System wrote:
> In file included from ../../../tools/ipod-usb.c:1:0:
> /usr/include/libusb.h:254:43: error: expected '=', ',', ';', 'asm' or '__attribute__' before '__aligned'

Hi,

This problem still affects a few other header files, where the parameter
to __aligned was a macro and not a bare number, e.g.:

> /usr/include/dev/usb/usb_device.h:} __aligned(USB_HOST_ALIGN);
> /usr/include/dev/usb/usb_device.h:} __aligned(USB_HOST_ALIGN);
> /usr/include/netinet/in_pcb.h:} __aligned(CACHE_LINE_SIZE);
> /usr/include/sys/pcpu.h:} __aligned(CACHE_LINE_SIZE);
> /usr/include/vm/uma_int.h:#define UMA_ALIGN	__aligned(CACHE_LINE_SIZE)
> /usr/include/vm/vm_page.h:} __aligned(CACHE_LINE_SIZE);

Packages with build failures due to this so far:
* php5 --
https://buildd.debian.org/status/fetch.php?pkg=php5&arch=kfreebsd-i386&ver=5.3.9-3&stamp=1327716668
* zabbix --
https://buildd.debian.org/status/fetch.php?pkg=zabbix&arch=kfreebsd-i386&ver=1%3A1.8.10-1&stamp=1327712644
* cups --
https://buildd.debian.org/status/fetch.php?pkg=cups&arch=kfreebsd-i386&ver=1.5.0-15&stamp=1327718267

Please consider my attached diff for kfreebsd-kernel-headers.  The regex
\([0-9A-Z_]*\) covers these remaining cases.

Something more generic, like \([^)]*\?\) might seem better, but then it
would have wrongly modified this also:

./usr/include/osreldate.h:#define __aligned(x)
__attribute__((__aligned__(x)))

Thanks,
Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org
[fix-aligned.diff (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#656562; Package libusb2-dev. (Sat, 28 Jan 2012 13:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 28 Jan 2012 13:54:03 GMT) Full text and rfc822 format available.

Message #25 received at 656562@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>, 656562@bugs.debian.org
Subject: Re: Bug#656562: some __aligned issues remain
Date: Sat, 28 Jan 2012 13:51:37 +0000
El 28 de gener de 2012 2:58, Steven Chamberlain <steven@pyro.eu.org> ha escrit:
> Please consider my attached diff for kfreebsd-kernel-headers.  The regex
> \([0-9A-Z_]*\) covers these remaining cases.
>
> Something more generic, like \([^)]*\?\) might seem better, but then it
> would have wrongly modified this also:
>
> ./usr/include/osreldate.h:#define __aligned(x)
> __attribute__((__aligned__(x)))

The osreldate.h definitions don't really belong there, they're just
historical.  Besides, osreldate.h is added by the patchset and regex
rule is run before patching.

Please can you submit a tested patch to use  \([^)]*\?\) instead?

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#656562; Package libusb2-dev. (Sat, 28 Jan 2012 19:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 28 Jan 2012 19:21:07 GMT) Full text and rfc822 format available.

Message #30 received at 656562@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Robert Millan <rmh@debian.org>, 656562@bugs.debian.org
Subject: Re: Bug#656562: some __aligned issues remain
Date: Sat, 28 Jan 2012 19:18:07 +0000
[Message part 1 (text/plain, inline)]
On 28/01/12 13:51, Robert Millan wrote:
> Please can you submit a tested patch to use  \([^)]*\?\) instead?

Hi,

I've attached a new patch to do this.  Tested this by building (and also
by building again without cleaning) and it fixes all the right headers
without touching osreldate.h or any others.

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org
[fix-aligned-v2.diff (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#656562; Package libusb2-dev. (Sat, 28 Jan 2012 20:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 28 Jan 2012 20:27:05 GMT) Full text and rfc822 format available.

Message #35 received at 656562@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: 656562@bugs.debian.org
Subject: Re: Bug#656562: some __aligned issues remain
Date: Sat, 28 Jan 2012 20:25:51 +0000
El 28 de gener de 2012 19:18, Steven Chamberlain <steven@pyro.eu.org> ha escrit:
> I've attached a new patch to do this.  Tested this by building (and also
> by building again without cleaning) and it fixes all the right headers
> without touching osreldate.h or any others.

Committed, thanks!

-- 
Robert Millan




Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Sun, 29 Jan 2012 02:51:03 GMT) Full text and rfc822 format available.

Notification sent to Chow Loong Jin <hyperair@debian.org>:
Bug acknowledged by developer. (Sun, 29 Jan 2012 02:51:03 GMT) Full text and rfc822 format available.

Message #40 received at 656562-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 656562-close@bugs.debian.org
Subject: Bug#656562: fixed in kfreebsd-kernel-headers 0.70
Date: Sun, 29 Jan 2012 02:49:32 +0000
Source: kfreebsd-kernel-headers
Source-Version: 0.70

We believe that the bug you reported is fixed in the latest version of
kfreebsd-kernel-headers, which is due to be installed in the Debian FTP archive:

kfreebsd-kernel-headers_0.70.dsc
  to main/k/kfreebsd-kernel-headers/kfreebsd-kernel-headers_0.70.dsc
kfreebsd-kernel-headers_0.70.tar.gz
  to main/k/kfreebsd-kernel-headers/kfreebsd-kernel-headers_0.70.tar.gz
kfreebsd-kernel-headers_0.70_kfreebsd-amd64.deb
  to main/k/kfreebsd-kernel-headers/kfreebsd-kernel-headers_0.70_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 656562@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated kfreebsd-kernel-headers package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 29 Jan 2012 02:54:18 +0100
Source: kfreebsd-kernel-headers
Binary: kfreebsd-kernel-headers
Architecture: source kfreebsd-amd64
Version: 0.70
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 kfreebsd-kernel-headers - kernel of FreeBSD headers for development
Closes: 656562
Changes: 
 kfreebsd-kernel-headers (0.70) unstable; urgency=low
 .
   [ Steven Chamberlain ]
   * Use broader regex to fix all __aligned issues. (Closes: #656562)
 .
   [ Robert Millan ]
   * Generate osreldate.h dynamically with up-to-date information.
   * Add sys/syscall.h and sys/errno.h.
   * Add net/netisr_internal.h.
   * Stop disabling __size_t in <machine/types.h>. The real problem is
     <stddef.h> defining it as an empty macro, thus all headers using
     __size_t are affected. Fix by regex.
   * Add geom/mountver/*.h.
   * Add net/if_bridgevar.h, net/if_gre.h and net/if_lagg.h.
Checksums-Sha1: 
 84c3f5241b14f3019efe2b91782fd1b13868e367 1201 kfreebsd-kernel-headers_0.70.dsc
 95b67bbeded05e15e723c32da133ab8992914c13 52361 kfreebsd-kernel-headers_0.70.tar.gz
 17c14546ba7aa2b91c7d41810efd5ff16ec97b99 1624468 kfreebsd-kernel-headers_0.70_kfreebsd-amd64.deb
Checksums-Sha256: 
 7ae1b5ffc5907b48d32730b6cfedef82ab9605dd176fd7b78ee77d4a0a822075 1201 kfreebsd-kernel-headers_0.70.dsc
 57627e02baa098e223695d3c20006882179e6616a1bc545a58b0737e603d9242 52361 kfreebsd-kernel-headers_0.70.tar.gz
 3d0e61ab1564a558574ecfc4b8831f902907b2dba10f7c9867106cff4d932f76 1624468 kfreebsd-kernel-headers_0.70_kfreebsd-amd64.deb
Files: 
 4fd27ad2a6f84152dba473cac29e1f44 1201 kernel standard kfreebsd-kernel-headers_0.70.dsc
 b974a5d52880e5e76550c8312a72e428 52361 kernel standard kfreebsd-kernel-headers_0.70.tar.gz
 3c35bca94f73f49941f0957149938c1f 1624468 kernel standard kfreebsd-kernel-headers_0.70_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk8kpxcACgkQC19io6rUCv8YTQCcCd3TOdOFX9qmsy21MPs4t2cb
rEYAn1HtDk4Roo6tVU+SsuCVPCmSJM0m
=+NzW
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 26 Feb 2012 07:37:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 14:52:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.